@echo off
:start
cls
if exist \update_kernel del \update_kernel
echo CYBOOK FIRMWARE UPGRADE MENU:
echo ----------------------------------------------------
echo Please choose your Option:
echo  copy CyBook [M]obiPocket firmware (v1.5)
echo  copy CyBook [A]dobe Digital Editions (ePub) firmware (v2.0)
echo [D]elete existing firmware upgrade
echo print [H]elp page
echo -----------

choice /C HMAD  /M "[M] / [A] / [D] / [H]"
if errorlevel 4 goto del_update
if errorlevel 3 goto copy_mobi
if errorlevel 2 goto copy_ade
if errorlevel 1 goto help
:error 

echo An error has occoured - ending...
goto end

:help
cls
if exist howto.txt type howto.txt
pause
goto start

:del_update
cls
if exist \update_kernel del \update_kernel
echo Deleted your update file.
echo Run this file again to replace it.
goto end

:copy_ade
cls
echo Preparing your CyBook for firmware v1.5 (MobiPocket Edition)
xcopy \FW\MOBI\update_kernel \
echo Done!
echo.
echo.
echo "Your CyBook may now update to v1.5 (MobiPocket Edition)"
echo Please upgrade your CyBook according to the procedure as described by Bookeen.
echo Happy reading.
goto end

:copy_mobi
cls
echo Preparing your CyBook for firmware v2.0 (ePub / Adobe Digital Editions)
xcopy \FW\EPUB\update_kernel \
echo Done!
echo.
echo.
echo "Your CyBook may now update to v2.0 (ePub / Adobe Digital Editions)"
echo Please upgrade your CyBook according to the procedure as described by Bookeen.
echo Happy reading.
goto end
echo you should not be able to read this
:end
Pause
exit

:: Copyright T_Frain_K for MobileRead.com, Jan. 2010